<?php 

 // подключаем сравнение версий
if ( version_compare( $GLOBALS['wp_version'], '4.7-alpha', '<' ) ) {
	require get_template_directory() . '/admin/back-compat.php';
	return;
}

 // подключаем фреймворк консоли
require_once( 'admin/titan-framework/titan-framework-embedder.php' );
require get_template_directory() . '/admin/theme-options.php';


 // подключаем стили и скрипты
function gpr_scripts() {
wp_enqueue_style( 'theme-style', get_stylesheet_uri(), false, null);
 wp_enqueue_style( 'source-sans', '//fonts.googleapis.com/css?family=Roboto:400,700&amp;subset=cyrillic',  false,null  );
 wp_enqueue_script( 'custom', get_template_directory_uri() . '/scripts/custom.js',  array('jquery'),  '1.0', true);
}
add_action( 'wp_enqueue_scripts', 'gpr_scripts' );


// переносим скрипты сайта в подвал для ускорения
function jquery_move_footer()
{
    wp_dequeue_script('jquery');
    wp_dequeue_script('jquery-core');
    wp_dequeue_script('jquery-migrate');
    wp_enqueue_script('jquery', false, array(), false, true);
    wp_enqueue_script('jquery-core', false, array(), false, true);
    wp_enqueue_script('jquery-migrate', false, array(), false, true);
}
add_action('wp_enqueue_scripts', 'jquery_move_footer');



// переносим все стили сайта в подвал для ускорения
// внимание, принудительный перенос всех стилей в подвал может 
// негативно сказаться на работе некоторых плагинов и элементов сайта

//  remove_action( 'wp_head', 'wp_print_scripts' );
//  remove_action( 'wp_head', 'wp_print_head_scripts', 9 );
//  remove_action( 'wp_head', 'wp_enqueue_scripts', 1 );
//  add_action( 'wp_footer', 'wp_print_scripts', 5 );
//  add_action( 'wp_footer', 'wp_enqueue_scripts', 5 );
//  add_action( 'wp_footer', 'wp_print_head_scripts', 5 );


 
// подключаем скрипт обработки изображений
require get_template_directory() . '/admin/aq_resizer.php';
 
 
if ( ! function_exists( 'gp_setup' ) ) :
function gp_setup() {
	
// подключаем title
 add_theme_support( 'title-tag' );
 
// подключаем локализации
load_theme_textdomain( 'gpress', get_template_directory() . '/languages' );

// подключаем фиды
add_theme_support( 'automatic-feed-links' );

// подключаем фон
add_theme_support( 'custom-background', 
apply_filters( 'gpress_custom_background_args', array(
	'default-color' => 'ffffff',
) ) );

// подключаем миниатюры
add_theme_support( 'post-thumbnails' );
 
  //подключаем меню
function register_main_menus() {
	register_nav_menus(
		array(
	'primary-menu' => 'Главное меню'
 ));
}
if (function_exists('register_nav_menus')) add_action( 'init', 'register_main_menus' );

}
endif; // gp_setup
add_action( 'after_setup_theme', 'gp_setup' );


// подключаем стили для визуального редактора
function wpdocs_theme_add_editor_styles() {
    add_editor_style( 'editor_styles.css' );
}
add_action( 'admin_init', 'wpdocs_theme_add_editor_styles' );


// подключаем установщик плагинов
require_once(get_template_directory() . '/admin/tgmpa/tgmpa.php');

 //  подключаем управление сайдбарами
require_once( get_template_directory() . '/admin/options-sidebar.php' );

 //подключаем виджеты
 function gpress_widgets_init() {

if ( function_exists('register_sidebar') )
    register_sidebar(array(	
    'name' =>  __( 'Сайдбар Блог', 'gpress' ),
    'id' => 'sidebar-1',
	'description'   => __( 'Добавьте сюда виджеты для вывода в блоге, в записях и архивах.', 'gpress' ),
	'before_widget' => '<div id="%1$s" class="side-blok widget %2$s gp-clearfix">',
    'after_widget' => '</div></div> ',
    'before_title' => '<div class="side-title">',
    'after_title' => '</div><div class="side-blok-inner">',
    ) );

 if ( function_exists('register_sidebar') )
    register_sidebar(array(	
    'name' =>  __( 'Сайдбар Страницы', 'gpress' ),
    'id' => 'sidebar-2',
	'description'   => __( 'Добавьте сюда виджеты для вывода на страницах.', 'gpress' ),
	'before_widget' => '<div id="%1$s" class="side-blok widget %2$s gp-clearfix">',
    'after_widget' => '</div></div> ',
    'before_title' => '<div class="side-title">',
    'after_title' => '</div><div class="side-blok-inner">',
   ) );
 
 if ( function_exists('register_sidebar') )
    register_sidebar(array(	
    'name' =>  __( 'Сайдбар Услуги', 'gpress' ),
    'id' => 'sidebar-3',
	'description'   => __( 'Добавьте сюда виджеты для вывода в Услугах.', 'gpress' ),
	'before_widget' => '<div id="%1$s" class="side-blok widget %2$s gp-clearfix">',
    'after_widget' => '</div></div> ',
    'before_title' => '<div class="side-title">',
    'after_title' => '</div><div class="side-blok-inner">',
   ) );
}
add_action( 'widgets_init', 'gpress_widgets_init' );
  
 
 
// подключаем древовидные комментарии
if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
	wp_enqueue_script( 'comment-reply' );
	
// устанавливаем ширину
if ( ! isset( $content_width ) )
	$content_width = 864;

// принудительная поддержка html5 
 add_filter( 'wpcf7_support_html5_fallback', '__return_true' );

 
// отключаем стили галереи по-умочалнию
 add_filter( 'use_default_gallery_style', '__return_false' );
 


 //подключаем таксономию - отделы
add_action( 'init', 'gp_taxonomies', 0 );
function gp_taxonomies() {
 
	$labels = array(
	 'name'                       => _x( 'Отдел', '', 'gpress' ),
		'singular_name'              => _x( 'Отделы', '', 'gpress' ),
		'menu_name'                  => __( 'Отделы', 'gpress' ),
		'all_items'                  => __( 'Отделы', 'gpress' ),
		'parent_item'                => __( 'Родительский отдел', 'gpress' ),
		'parent_item_colon'          => __( 'Отделы', 'gpress' ),
		'new_item_name'              => __( 'Отдел', 'gpress' ),
		'add_new_item'               => __( 'Добавить новый отдел', 'gpress' ),
		'edit_item'                  => __( 'Редактировать отдел', 'gpress' ),
		'update_item'                => __( 'Обновить отдел', 'gpress' ),
		'view_item'                  => __( 'Просмотреть отдел', 'gpress' ),
		'separate_items_with_commas' => __( 'Separate items with commas', 'gpress' ),
		'add_or_remove_items'        => __( 'Add or remove items', 'gpress' ),
		'choose_from_most_used'      => __( 'Choose from the most used', 'gpress' ),
		'popular_items'              => __( 'Popular Items', 'gpress' ),
		'search_items'               => __( 'Search Items', 'gpress' ),
		'not_found'                  => __( 'Отдел не найден', 'gpress' ),
		'no_terms'                   => __( 'Нет отделов', 'gpress' ),
		'items_list'                 => __( 'Список отделов', 'gpress' ),
		'items_list_navigation'      => __( 'Items list navigation', 'gpress' ),
	);

	$args = array(
		'hierarchical'      => true,
		'labels'            => $labels,
		'show_ui'           => true,
		'show_admin_column' => true,
		'query_var'         => true,
		'rewrite'           => array( 'slug' => 'otdel', 'with_front' => false),
	);

	register_taxonomy( 'gp_otdel', array( 'usluga' ), $args );
}
 

// регистрируем новый тип записей - услуги
function gp_post_type() {

	$labels = array(
		'name'                  => _x( 'Услуги', '', 'gpress' ),
		'singular_name'         => _x( 'Услуга', '', 'gpress' ),
		'menu_name'             => __( 'Услуги', 'gpress' ),
		'name_admin_bar'        => __( 'Услуга', 'gpress' ),
		'archives'              => __( 'Архив услуг', 'gpress' ),
		'attributes'            => __( 'Свойства услуги', 'gpress' ),
		'parent_item_colon'     => __( 'Родительская услуга:', 'gpress' ),
		'all_items'             => __( 'Все услуги', 'gpress' ),
		'add_new_item'          => __( 'Добавить новую', 'gpress' ),
		'add_new'               => __( 'Добавить новую', 'gpress' ),
		'new_item'              => __( 'Новая услуга', 'gpress' ),
		'edit_item'             => __( 'Редактировать услугу', 'gpress' ),
		'update_item'           => __( 'Обновить услугу', 'gpress' ),
		'view_item'             => __( 'Посмотреть', 'gpress' ),
		'view_items'            => __( 'Посмотреть', 'gpress' ),
		'search_items'          => __( 'Искать услугу', 'gpress' ),
		'not_found'             => __( 'Услуги не найдены', 'gpress' ),
		'not_found_in_trash'    => __( 'Не найдено', 'gpress' ),
		'featured_image'        => __( 'Изображение услуги', 'gpress' ),
		'set_featured_image'    => __( 'Установить изображение услуи', 'gpress' ),
		'remove_featured_image' => __( 'Удалить изображение услуги', 'gpress' ),
		'use_featured_image'    => __( 'Использовать как изображение услуги', 'gpress' ),
		'insert_into_item'      => __( 'Вставить в услугу', 'gpress' ),
		'uploaded_to_this_item' => __( 'Загружено', 'gpress' ),
		'items_list'            => __( 'Список услуг', 'gpress' ),
		'items_list_navigation' => __( 'Навигация по услугам', 'gpress' ),
		'filter_items_list'     => __( 'Фильтр услуг', 'gpress' ),
	);
	$rewrite = array(
		'slug'   =>    'otdel/%gp_otdel%', 
        'with_front'    => false,
		'pages'          => true,
		'feeds'           => false,
	);
	$args = array(
		'label'                 => __( 'Услуга', 'gpress' ),
		'description'           => __( 'Услуги', 'gpress' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail'),
		'taxonomies'            => array( 'gp_otdel' ),
		'hierarchical'          => true,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 4,
		'menu_icon'             => 'dashicons-welcome-write-blog',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive' => 'otdel',	
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'rewrite'          => $rewrite,
		'capability_type'      => 'post',
	);
 register_post_type( 'usluga', $args );

}
add_action( 'init', 'gp_post_type', 0 );

 
 
// обеспечиваем красивые пермалинки для цепочки отдел/услуга
function wpa_show_permalinks( $post_link, $post ){
    if ( is_object( $post ) && $post->post_type == 'usluga' ){
        $terms = wp_get_object_terms( $post->ID, 'gp_otdel' );
        if( $terms ){
            return str_replace( '%gp_otdel%' , $terms[0]->slug , $post_link );
        }
    }
    return $post_link;
}
add_filter( 'post_type_link', 'wpa_show_permalinks', 1, 2 );


 

 // извлекаем имя  отдела из его id  
function cat_id_to_name($id) {
	foreach((array)(get_categories(array('taxonomy'   => 'gp_otdel'))) as $category) {
    	if ($id == $category->cat_ID) { return $category->cat_name; break; }
	}
}

 //  убираем лишние слова из заголовков рубрик и других архивов
add_filter( 'get_the_archive_title', function () {
 if ( is_category() ) {
 $title = single_cat_title( '', false );
 } elseif ( is_tag() ) {
 $title = single_tag_title( '', false );
 } elseif ( is_tax() ) {
 $title = single_tag_title( '', false );
  }
 return $title;
});



// убираем мусор из excerpt
if( !function_exists( 'io_excerpt_more' ) ) :
	function io_excerpt_more($more) {
	global $post;
	return '…';
	}
	add_filter('excerpt_more', 'io_excerpt_more');
endif; 


 // устанавливаем кнопку далее для режима Обычный пост
function modify_read_more_link() {
    return '<a class="gp-button read-more" href="' . get_permalink() . '">'. __('Узнать больше', 'gpress') . '</a>';
}
add_filter( 'the_content_more_link', 'modify_read_more_link' );
 

  // подключаем шорткод цен в услугах
if (!function_exists('gp_price')) {
function gp_price($atts, $content = null) {
extract(shortcode_atts(array(
'name' => ''
), $atts));
return '<div class="gp-price"><div class="gp-proc-name">'.$name.'</div><div class="gp-proc-price">'.$content.' '. __('руб', 'gpress') . '.</div><div class="clear"></div></div>';
}
add_shortcode('price', 'gp_price');
}

 //  добавляем кнопку  шорткода в редактор TinyMCE
require_once( get_template_directory() . '/admin/add-shortcode-button.php' );

 // подключаем встроенный виджет "баннер"
require_once( 'admin/custom-banner-widget.php' );
 
// убираем мусор из шапки
remove_action('wp_head', 'rsd_link');
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'start_post_rel_link');
remove_action('wp_head', 'index_rel_link');
remove_action('wp_head', 'adjacent_posts_rel_link');

 
 // убираем  emoje
remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
remove_action( 'wp_print_styles', 'print_emoji_styles' );
remove_action( 'admin_print_styles', 'print_emoji_styles' );


//  убираем replytocom
 function redirect_rtc() {
 if (isset($_GET['replytocom'])){@header("HTTP/1.0 404 Not Found");
 die();
 }
}
add_filter('template_redirect','redirect_rtc');
function custom_comment_reply_link($link) {
return preg_replace( '/<a (.*?)href=[\"\'][^\"^\']*[\"\'](.*?)<\/a>/i', '<span class="replylink"><span  $1$2</span></span>', $link );
 }
add_filter( 'comment_reply_link', 'custom_comment_reply_link' );
add_action('wp_footer', 'add_goto');
function add_goto(){ 
echo "\n".'<script type= "text/javascript">function gotoal(link){window.open(link.replace("_","http://"));}</script>'."\n";
if ( is_single() || is_page() ) wp_enqueue_script( 'comment-reply' ); }

/***** Если нужно добавить какой-то код в данный файл, разместите его под этой строкой *******/



?>